## staroffice3-installer 3.1-6bo1.1

=== debian/changelog ===
staroffice3-installer (3.1-6bo1.1) stable; urgency=low, closes=16821

  * Added special note about libc6 to debian/important (fixes: Bug#16821)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 18 Jan 1998 17:38:52 +0100

staroffice3-installer (3.1-5) stable; urgency=low, closes=13230 14581 15102

  * Added xlib6, xpm4.7, libg++27 to list of dependencies (Bug#13230)
  * Added chop() to postinst (Bug#14581)
  * Fixed typos in postinst that broke smath (Bug#15102)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon, 5 Jan 1998 19:55:19 +0100

staroffice3-installer (3.1-4) unstable; urgency=low

  * New prompt when querying user in postinst
  * s/libc/libc5/ in depends line
  * s/Star Office/StarOffice/ in rc-file
  * Redirect error output form update-alternatives in postrm
  * Added a chop() after querying the user (Bug#14581)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 16 Nov 1997 13:54:35 +0100

staroffice3-installer (3.1-3) unstable; urgency=low

  * Exteded description
  * Sanity check for archive location
  * Sanity check for installation of Motif binaries
  * Corrected FSF's address
  * Removed stupid 'public domain' notice (Bug#11538)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 3 Sep 1997 09:30:39 +0200

staroffice3-installer (3.1-2) unstable; urgency=low

  * Added a paragraph to /usr/doc/staroffice/readme containing information
    on bogus LANG variable set in .sd scripts.  Thanks to Alex Yukhimets
    <aqy6633@acf5.nyu.edu> for notifying me.
  * Added /usr/lib/StarOffice-3.1/linux-x86/lib to /etc/ld.so.conf.
    Thanks to Thomas Gebhardt <gebhardt@HRZ.Uni-Marburg.DE>.
  * Included StarOffice31-upgrade2final.tar.gz into installation procedure

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 20 Jul 1997 13:20:54 +0200

staroffice3-installer (3.1-1) unstable; urgency=low

  * Modified menu file
  * Installed dummy manpages for all included programs
  * Renamed package from staroffice to staroffice3 and
    staroffice3-installer instead of staroffice-installer
  * Installed with update-alternatives to support Star Office 4.x
    as well, hint from Brian C. White
  * Completed wrapper to call the setup routine if the user has
    forgotton to call it.
  * Wrote little wrapper to start programs.  Reason: .sd.sh doesn't
    get included all the time (esp. when using xdm)h.
  * First trial with packaging StarOffice 3.1

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon, 14 Jul 1997 23:52:00 +0200
