=== debian/control ===
Source: staroffice3-installer
Section: contrib
Priority: optional
Maintainer: Martin Schulze <joey@debian.org>
Standards-Version: 2.1.1.0

Package: staroffice3
Architecture: i386
Depends: libc5 (>= 5.4.4-0), xlib6, xpm4.7, libg++27
Description: Star Office 3.1 installer
 Star Office 3.1 is a suite of office productivity applications
 containing the following
  - StarWriter 3.1 (word processor)
  - StarCalc 3.1 (spreadsheet)
  - StarDraw 3.1 (graphics and presentation package)
  - StarImage 3.1 (image manipulation)
  - StarChart 3.1 (bar, pie and other charts)
  - StarMath 3.1 (formula design)
 .
 StarOffice 3.1 makes heavy use of common code in shared libraries,
 therefore using relatively few resources for the level of
 functionality.
 .
 The StarOffice 3.1 binaries can be found in
 ftp://ftp.gwdg.de/pub/linux/staroffice/
 They need to be placed in /tmp or $TMP respectively.
