## staroffice3-installer 3.1-8

=== debian/changelog ===
staroffice3-installer (3.1-8) frozen unstable; urgency=low, closes=22500

  * Added patch from Mike Coleman <mkc@sky.net> to fix problem with
    detecting Motif (closes: Bug#22500)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon, 1 Jun 1998 13:20:13 +0200

staroffice3-installer (3.1-7) unstable; urgency=low

  * New standards version
  * /etc/init.d/staroffice now supports force-reload, too
  * Removed ldconfig call from postrm (lintian)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 11 Feb 1998 01:34:53 +0100

staroffice3-installer (3.1-6) stable; urgency=low, closes=16821

  * Added special note about libc6 to debian/important (fixes: Bug#16821)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 18 Jan 1998 17:38:52 +0100
