## staroffice3-installer 3.1-9

=== debian/changelog ===
staroffice3-installer (3.1-9) unstable; urgency=low, closes=24601 16813

  * Added modification to StarOffice setup in order to let it start on a
    mixture libc5/libc6 system.  Thanks to Jens Henrik Leonhard Jensen
    <Jens.Henrik.L.Jensen@uni-c.dk> for providing me with a
    patch. (closes: Bug#24601, Bug#16813)
  * The postinst script will exit immetiately when it detects an installed
    StarOffice 3.1 package.  This will prevent errors when upgrading
    multiple packages (i.e. through dselect).

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon,  7 Sep 1998 03:51:35 +0000
