=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: contrib
 Priority: optional
 Maintainer: Martin Schulze <joey@debian.org>
-Standards-Version: 2.1.1.0
+Standards-Version: 2.4.0.0
 
 Package: staroffice3
 Architecture: i386
